PDA

View Full Version : OpenGL: failed to get visual



john1726
12-14-2007, 04:31 PM
I receive the above message when I try to open a graph in the application I'm developing. Does anyone have any ideas as to why I am receiving this error? The graph eventually does open, but I must first close several of the above error message boxes. I have freeglut3 version 2.4.0-5 as well as libgl1-mesa-dev, libgl1-mesa-glx and libgl1-mesa-dri, libglu1-mesa all of version 7.0.1 and libglut3 version 3.7-25.

TIA

Dark Photon
12-18-2007, 07:13 AM
I receive the above message when I try to open a graph in the application I'm developing...
Does glxinfo reveal any visuals? Do they look like they match the one you're telling GLUT to request?

BTW, I'm running freeglut snapped 9/3/06 here on SuSE 10.1. My freeglut doesn't contain that error. In fact, googling reveals no-one that's ever complained about that error, at least that google can find. I'd check your app and see if that error is in your code. Failing that, check your Mesa version, or your freeglut version. Failing that, upgrade your dependencies.